rte_mtr_driver.h(3)

NAME
rte_mtr_driver.h

SYNOPSIS

#include <stdint.h>
#include <rte_errno.h>
#include 'rte_ethdev.h'
#include 'ethdev_driver.h'
#include 'rte_mtr.h'

  Functions

static int rte_mtr_error_set (struct rte_mtr_error *error, int code, enum rte_mtr_error_type type, const void *cause, const char *message)
const struct rte_mtr_ops * rte_mtr_ops_get (uint16_t port_id, struct rte_mtr_error *error)

Detailed Description

RTE Generic Traffic Metering and Policing API (Driver Side)

This file provides implementation helpers for internal use by PMDs, they are not intended to be exposed to applications and are not subject to ABI versioning.

Definition in file rte_mtr_driver.h.

Function Documentation

  int rte_mtr_error_set (struct rte_mtr_error * error, int code, enum rte_mtr_error_type type, const void * cause, const char * message) [inline], [static]
Initialize generic error structure.

This function also sets rte_errno to a given value.

Parameters
    error Pointer to error structure (may be NULL).
    code Related error code (rte_errno).
    type Cause field and error type.
    cause Object responsible for the error.
    message Human-readable error message.

Returns
    Error code.

Definition at line 238 of file rte_mtr_driver.h.

  const struct rte_mtr_ops * rte_mtr_ops_get (uint16_t port_id, struct rte_mtr_error * error)
Get generic traffic metering and policing operations structure from a port

Parameters
    port_id The port identifier of the Ethernet device.
    error Error details

Returns
    The traffic metering and policing operations structure associated with port_id on success, NULL otherwise.

Author

Generated automatically by Doxygen for DPDK from the source code.